/********************************************************************/
/*   7188EX + X110 head file                                        */
/*                                                                  */
/*   [October/06/2005] by Liam                                      */
/********************************************************************/
/********************************************************************/
/*  X110: 14 channels D/I                                           */
/*                                                                  */
/********************************************************************/
#define X110_DigitalIn      X110_Read_All_DI

int X110_Init(void);
/*  Always returns 0    */

int X110_Read_All_DI(void);
/*  Return data =  0x0000~0x3fff
    Return 1 => open
                Logic high level (+3.5V ~ +30V)
    Return 0 => close to GND
                Logic low level (0V ~ +1V)  */

int X110_Read_One_DI(int iChannel);
/*  iChannel = 0 ~ 13
    Return 1 => open
                Logic high level (+3.5V ~ +30V)
    Return 0 => close to GND
                Logic low level (0V ~ +1V)  */
